﻿@using GridMvc.Html

@{
    ViewBag.Title = "Database Grid";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<div class="row">
    <div class="col-md-12">
        <h1 class="">Database Management</h1>
    </div>
    <!-- /.col-lg-12 -->
</div>

<!-- /.row -->
<div class="row">
    <div class="col-md-12 col-sm-12">
        @Html.Action("Tables", "Database")
    </div>
</div>
<br />
<div class="row">
    <div class="col-md-12 col-sm-12">
        <div class="panel panel-default">
            <div class="panel-heading">
                Table Data
            </div>
            <div class="panel-body">
                <table id="table-rows">

                </table>
            </div>
        </div>
        <div class="panel panel-default">
            <div class="panel-heading">
                Row Details
            </div>
            <div class="panel-body">
               
            </div>
        </div>
    </div>
</div>
<script type="text/javascript">
    $(document).ready(function (e) {

        $.get(AppRoot+"api/database/rows?entity=city", function (res) {
            $('#table-rows').bootstrapTable({
                search: true,
                showToggle: true,
                showColumns: true,
                columns: res.columns,
                data: res.data
            });
        });
    })
</script>
